Package org.jboss.resteasy.core.providerfactory

## Class NOOPServerHelper

- java.lang.Object
- - org.jboss.resteasy.core.providerfactory.CommonProviders
  - - org.jboss.resteasy.core.providerfactory.ServerHelper
    - - org.jboss.resteasy.core.providerfactory.NOOPServerHelper

-     public final class NOOPServerHelper
      extends ServerHelper

  A ServerHelper that does nothing, useful to save memory when creating a ResteasyProviderFactory for client side only

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static NOOPServerHelper` | `SINGLETON` |

    - ### Fields inherited from class org.jboss.resteasy.core.providerfactory.ServerHelper

      `asyncResponseProviders, asyncStreamProviders, attachedAsyncResponseProviders, attachedAsyncStreamProviders, attachedExceptionMappers, attachedRequestFilters, attachedResponseFilters, exceptionMappers, requestFilters, responseFilters`

    - ### Fields inherited from class org.jboss.resteasy.core.providerfactory.CommonProviders

      `attachedFeatures, attachedMessageBodyReaders, attachedMessageBodyWriters, attachedReaderInterceptors, attachedWriterInterceptors, dynamicFeatures, lockSnapshots, messageBodyReaders, messageBodyWriters, readerInterceptorRegistry, rpf, writerInterceptorRegistry`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAsyncResponseProvider​(Class provider)` |
    `void` | `addAsyncStreamProvider​(Class provider)` |
    `void` | `addCompositeWildcardMBR​(javax.ws.rs.core.MediaType mediaType, SortedKey<javax.ws.rs.ext.MessageBodyReader> mbr, String baseSubtype)` |
    `void` | `addCompositeWildcardMBW​(javax.ws.rs.core.MediaType mediaType, SortedKey<javax.ws.rs.ext.MessageBodyWriter> mbw, String baseSubtype)` |
    `void` | `addContainerRequestFilter​(Class provider, int priority)` |
    `void` | `addContainerResponseFilter​(Class provider, int priority)` |
    `void` | `addDynamicFeature​(Class provider)` |
    `void` | `addExceptionMapper​(Class provider, boolean isBuiltin)` |
    `protected void` | `addMessageBodyReader​(javax.ws.rs.ext.MessageBodyReader provider, Class<?> providerClass, int priority, boolean isBuiltin)` |
    `protected void` | `addMessageBodyWriter​(javax.ws.rs.ext.MessageBodyWriter provider, Class<?> providerClass, int priority, boolean isBuiltin)` |
    `void` | `addReaderInterceptor​(Class provider, int priority)` |
    `void` | `addRegularMBR​(javax.ws.rs.core.MediaType mediaType, SortedKey<javax.ws.rs.ext.MessageBodyReader> mbr)` |
    `void` | `addRegularMBW​(javax.ws.rs.core.MediaType mediaType, SortedKey<javax.ws.rs.ext.MessageBodyWriter> mbw)` |
    `void` | `addSubtypeWildMBR​(javax.ws.rs.core.MediaType mediaType, SortedKey<javax.ws.rs.ext.MessageBodyReader> mbr)` |
    `void` | `addSubtypeWildMBW​(javax.ws.rs.core.MediaType mediaType, SortedKey<javax.ws.rs.ext.MessageBodyWriter> mbw)` |
    `void` | `addWildcardCompositeMBR​(javax.ws.rs.core.MediaType mediaType, SortedKey<javax.ws.rs.ext.MessageBodyReader> mbr, String baseSubtype)` |
    `void` | `addWildcardCompositeMBW​(javax.ws.rs.core.MediaType mediaType, SortedKey<javax.ws.rs.ext.MessageBodyWriter> mbw, String baseSubtype)` |
    `void` | `addWildcardMBR​(SortedKey<javax.ws.rs.ext.MessageBodyReader> mbr)` |
    `void` | `addWildcardMBW​(SortedKey<javax.ws.rs.ext.MessageBodyWriter> mbw)` |
    `void` | `addWriterInterceptor​(Class provider, int priority)` |
    `Map<Class<?>,​AsyncResponseProvider>` | `getAsyncResponseProviders()` |
    `protected Map<Class<?>,​AsyncResponseProvider>` | `getAsyncResponseProvidersForWrite()` |
    `Map<Class<?>,​AsyncStreamProvider>` | `getAsyncStreamProviders()` |
    `protected Map<Class<?>,​AsyncStreamProvider>` | `getAsyncStreamProvidersForWrite()` |
    `Set<javax.ws.rs.container.DynamicFeature>` | `getDynamicFeatures()` |
    `protected Set<javax.ws.rs.container.DynamicFeature>` | `getDynamicFeaturesForWrite()` |
    `Map<Class<?>,​SortedKey<javax.ws.rs.ext.ExceptionMapper>>` | `getExceptionMappers()` |
    `MediaTypeMap<SortedKey<javax.ws.rs.ext.MessageBodyReader>>` | `getMessageBodyReaders()` |
    `protected MediaTypeMap<SortedKey<javax.ws.rs.ext.MessageBodyReader>>` | `getMessageBodyReadersForWrite()` |
    `MediaTypeMap<SortedKey<javax.ws.rs.ext.MessageBodyWriter>>` | `getMessageBodyWriters()` |
    `protected MediaTypeMap<SortedKey<javax.ws.rs.ext.MessageBodyWriter>>` | `getMessageBodyWritersForWrite()` |
    `JaxrsInterceptorRegistry<javax.ws.rs.ext.ReaderInterceptor>` | `getReaderInterceptorRegistry()` |
    `protected JaxrsInterceptorRegistry<javax.ws.rs.ext.ReaderInterceptor>` | `getReaderInterceptorRegistryForWrite()` |
    `JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerRequestFilter>` | `getRequestFilters()` |
    `protected JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerRequestFilter>` | `getRequestFiltersForWrite()` |
    `JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerResponseFilter>` | `getResponseFilters()` |
    `protected JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerResponseFilter>` | `getResponseFiltersForWrite()` |
    `JaxrsInterceptorRegistry<javax.ws.rs.ext.WriterInterceptor>` | `getWriterInterceptorRegistry()` |
    `protected JaxrsInterceptorRegistry<javax.ws.rs.ext.WriterInterceptor>` | `getWriterInterceptorRegistryForWrite()` |
    `protected void` | `processProviderContracts​(Class provider, Integer priorityOverride, boolean isBuiltin, Map<Class<?>,​Integer> contracts, Map<Class<?>,​Integer> newContracts)` |
    `protected void` | `processProviderInstanceContracts​(Object provider, Map<Class<?>,​Integer> contracts, Integer priorityOverride, boolean builtIn, Map<Class<?>,​Integer> newContracts)` |

    - ### Methods inherited from class org.jboss.resteasy.core.providerfactory.ServerHelper

      `getExceptionMappersForWrite`

    - ### Methods inherited from class org.jboss.resteasy.core.providerfactory.CommonProviders

      `lockSnapshots`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SINGLETON

          public static final NOOPServerHelper SINGLETON

  - ### Method Detail

    - #### processProviderContracts

          protected void processProviderContracts​(Class provider,
                                                  Integer priorityOverride,
                                                  boolean isBuiltin,
                                                  Map<Class<?>,​Integer> contracts,
                                                  Map<Class<?>,​Integer> newContracts)

      Overrides:
        `processProviderContracts` in class `ServerHelper`

    - #### processProviderInstanceContracts

          protected void processProviderInstanceContracts​(Object provider,
                                                          Map<Class<?>,​Integer> contracts,
                                                          Integer priorityOverride,
                                                          boolean builtIn,
                                                          Map<Class<?>,​Integer> newContracts)

      Overrides:
        `processProviderInstanceContracts` in class `ServerHelper`

    - #### getRequestFiltersForWrite

          protected JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerRequestFilter> getRequestFiltersForWrite()

      Overrides:
        `getRequestFiltersForWrite` in class `ServerHelper`

    - #### getResponseFiltersForWrite

          protected JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerResponseFilter> getResponseFiltersForWrite()

      Overrides:
        `getResponseFiltersForWrite` in class `ServerHelper`

    - #### getAsyncResponseProvidersForWrite

          protected Map<Class<?>,​AsyncResponseProvider> getAsyncResponseProvidersForWrite()

      Overrides:
        `getAsyncResponseProvidersForWrite` in class `ServerHelper`

    - #### getAsyncStreamProvidersForWrite

          protected Map<Class<?>,​AsyncStreamProvider> getAsyncStreamProvidersForWrite()

      Overrides:
        `getAsyncStreamProvidersForWrite` in class `ServerHelper`

    - #### getRequestFilters

          public JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerRequestFilter> getRequestFilters()

      Overrides:
        `getRequestFilters` in class `ServerHelper`

    - #### getResponseFilters

          public JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerResponseFilter> getResponseFilters()

      Overrides:
        `getResponseFilters` in class `ServerHelper`

    - #### getAsyncResponseProviders

          public Map<Class<?>,​AsyncResponseProvider> getAsyncResponseProviders()

      Overrides:
        `getAsyncResponseProviders` in class `ServerHelper`

    - #### getAsyncStreamProviders

          public Map<Class<?>,​AsyncStreamProvider> getAsyncStreamProviders()

      Overrides:
        `getAsyncStreamProviders` in class `ServerHelper`

    - #### addMessageBodyReader

          protected void addMessageBodyReader​(javax.ws.rs.ext.MessageBodyReader provider,
                                              Class<?> providerClass,
                                              int priority,
                                              boolean isBuiltin)

      Overrides:
        `addMessageBodyReader` in class `CommonProviders`

    - #### addMessageBodyWriter

          protected void addMessageBodyWriter​(javax.ws.rs.ext.MessageBodyWriter provider,
                                              Class<?> providerClass,
                                              int priority,
                                              boolean isBuiltin)

      Overrides:
        `addMessageBodyWriter` in class `CommonProviders`

    - #### getMessageBodyReadersForWrite

          protected MediaTypeMap<SortedKey<javax.ws.rs.ext.MessageBodyReader>> getMessageBodyReadersForWrite()

      Overrides:
        `getMessageBodyReadersForWrite` in class `ServerHelper`

    - #### getMessageBodyWritersForWrite

          protected MediaTypeMap<SortedKey<javax.ws.rs.ext.MessageBodyWriter>> getMessageBodyWritersForWrite()

      Overrides:
        `getMessageBodyWritersForWrite` in class `ServerHelper`

    - #### getReaderInterceptorRegistryForWrite

          protected JaxrsInterceptorRegistry<javax.ws.rs.ext.ReaderInterceptor> getReaderInterceptorRegistryForWrite()

      Overrides:
        `getReaderInterceptorRegistryForWrite` in class `ServerHelper`

    - #### getWriterInterceptorRegistryForWrite

          protected JaxrsInterceptorRegistry<javax.ws.rs.ext.WriterInterceptor> getWriterInterceptorRegistryForWrite()

      Overrides:
        `getWriterInterceptorRegistryForWrite` in class `ServerHelper`

    - #### getDynamicFeaturesForWrite

          protected Set<javax.ws.rs.container.DynamicFeature> getDynamicFeaturesForWrite()

      Overrides:
        `getDynamicFeaturesForWrite` in class `CommonProviders`

    - #### getMessageBodyReaders

          public MediaTypeMap<SortedKey<javax.ws.rs.ext.MessageBodyReader>> getMessageBodyReaders()

      Overrides:
        `getMessageBodyReaders` in class `CommonProviders`

    - #### getMessageBodyWriters

          public MediaTypeMap<SortedKey<javax.ws.rs.ext.MessageBodyWriter>> getMessageBodyWriters()

      Overrides:
        `getMessageBodyWriters` in class `CommonProviders`

    - #### getReaderInterceptorRegistry

          public JaxrsInterceptorRegistry<javax.ws.rs.ext.ReaderInterceptor> getReaderInterceptorRegistry()

      Overrides:
        `getReaderInterceptorRegistry` in class `CommonProviders`

    - #### getWriterInterceptorRegistry

          public JaxrsInterceptorRegistry<javax.ws.rs.ext.WriterInterceptor> getWriterInterceptorRegistry()

      Overrides:
        `getWriterInterceptorRegistry` in class `CommonProviders`

    - #### getDynamicFeatures

          public Set<javax.ws.rs.container.DynamicFeature> getDynamicFeatures()

      Overrides:
        `getDynamicFeatures` in class `CommonProviders`

    - #### getExceptionMappers

          public Map<Class<?>,​SortedKey<javax.ws.rs.ext.ExceptionMapper>> getExceptionMappers()

      Overrides:
        `getExceptionMappers` in class `ServerHelper`

    - #### addExceptionMapper

          public void addExceptionMapper​(Class provider,
                                         boolean isBuiltin)

      Overrides:
        `addExceptionMapper` in class `ServerHelper`

    - #### addAsyncStreamProvider

          public void addAsyncStreamProvider​(Class provider)

      Overrides:
        `addAsyncStreamProvider` in class `ServerHelper`

    - #### addAsyncResponseProvider

          public void addAsyncResponseProvider​(Class provider)

      Overrides:
        `addAsyncResponseProvider` in class `ServerHelper`

    - #### addContainerResponseFilter

          public void addContainerResponseFilter​(Class provider,
                                                 int priority)

      Overrides:
        `addContainerResponseFilter` in class `ServerHelper`

    - #### addContainerRequestFilter

          public void addContainerRequestFilter​(Class provider,
                                                int priority)

      Overrides:
        `addContainerRequestFilter` in class `ServerHelper`

    - #### addDynamicFeature

          public void addDynamicFeature​(Class provider)

      Overrides:
        `addDynamicFeature` in class `CommonProviders`

    - #### addWriterInterceptor

          public void addWriterInterceptor​(Class provider,
                                           int priority)

      Overrides:
        `addWriterInterceptor` in class `CommonProviders`

    - #### addReaderInterceptor

          public void addReaderInterceptor​(Class provider,
                                           int priority)

      Overrides:
        `addReaderInterceptor` in class `CommonProviders`

    - #### addWildcardMBR

          public void addWildcardMBR​(SortedKey<javax.ws.rs.ext.MessageBodyReader> mbr)

      Overrides:
        `addWildcardMBR` in class `CommonProviders`

    - #### addSubtypeWildMBR

          public void addSubtypeWildMBR​(javax.ws.rs.core.MediaType mediaType,
                                        SortedKey<javax.ws.rs.ext.MessageBodyReader> mbr)

      Overrides:
        `addSubtypeWildMBR` in class `CommonProviders`

    - #### addRegularMBR

          public void addRegularMBR​(javax.ws.rs.core.MediaType mediaType,
                                    SortedKey<javax.ws.rs.ext.MessageBodyReader> mbr)

      Overrides:
        `addRegularMBR` in class `CommonProviders`

    - #### addCompositeWildcardMBR

          public void addCompositeWildcardMBR​(javax.ws.rs.core.MediaType mediaType,
                                              SortedKey<javax.ws.rs.ext.MessageBodyReader> mbr,
                                              String baseSubtype)

      Overrides:
        `addCompositeWildcardMBR` in class `CommonProviders`

    - #### addWildcardCompositeMBR

          public void addWildcardCompositeMBR​(javax.ws.rs.core.MediaType mediaType,
                                              SortedKey<javax.ws.rs.ext.MessageBodyReader> mbr,
                                              String baseSubtype)

      Overrides:
        `addWildcardCompositeMBR` in class `CommonProviders`

    - #### addWildcardMBW

          public void addWildcardMBW​(SortedKey<javax.ws.rs.ext.MessageBodyWriter> mbw)

      Overrides:
        `addWildcardMBW` in class `CommonProviders`

    - #### addRegularMBW

          public void addRegularMBW​(javax.ws.rs.core.MediaType mediaType,
                                    SortedKey<javax.ws.rs.ext.MessageBodyWriter> mbw)

      Overrides:
        `addRegularMBW` in class `CommonProviders`

    - #### addSubtypeWildMBW

          public void addSubtypeWildMBW​(javax.ws.rs.core.MediaType mediaType,
                                        SortedKey<javax.ws.rs.ext.MessageBodyWriter> mbw)

      Overrides:
        `addSubtypeWildMBW` in class `CommonProviders`

    - #### addCompositeWildcardMBW

          public void addCompositeWildcardMBW​(javax.ws.rs.core.MediaType mediaType,
                                              SortedKey<javax.ws.rs.ext.MessageBodyWriter> mbw,
                                              String baseSubtype)

      Overrides:
        `addCompositeWildcardMBW` in class `CommonProviders`

    - #### addWildcardCompositeMBW

          public void addWildcardCompositeMBW​(javax.ws.rs.core.MediaType mediaType,
                                              SortedKey<javax.ws.rs.ext.MessageBodyWriter> mbw,
                                              String baseSubtype)

      Overrides:
        `addWildcardCompositeMBW` in class `CommonProviders`